Bug 178362

Summary: Setup WebCore build to start using unified sources.
Product: WebKit Reporter: Keith Miller <keith_miller>
Component: Tools / TestsAssignee: Keith Miller <keith_miller>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, lforschler, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=179578
Bug Depends on:    
Bug Blocks: 177996    
Attachments:
Description Flags
Patch
none
Patch none

Description Keith Miller 2017-10-16 15:23:41 PDT
We should set up WebCore to start allowing files to be unified source built. This probably won't actually build any files with unified sources to start but will have all the tooling needed to get started.
Comment 1 Keith Miller 2017-10-17 18:35:46 PDT
Created attachment 324078 [details]
Patch
Comment 2 Keith Miller 2017-10-17 19:13:14 PDT
Created attachment 324085 [details]
Patch
Comment 3 Tim Horton 2017-10-18 11:27:48 PDT
Comment on attachment 324085 [details]
Patch

rs=me
Comment 4 WebKit Commit Bot 2017-10-18 12:14:55 PDT
Comment on attachment 324085 [details]
Patch

Clearing flags on attachment: 324085

Committed r223621: <https://trac.webkit.org/changeset/223621>
Comment 5 WebKit Commit Bot 2017-10-18 12:14:57 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-10-18 12:15:26 PDT
<rdar://problem/35057625>